package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ServiceTypeDetail;


/**
*  service接口类
*/
public interface ServiceTypeDetailService{

    List<ServiceTypeDetail> getServiceTypeDetailList(ServiceTypeDetail record);

    List<ServiceTypeDetail> getServiceTypeDetailByPage(Page page, ServiceTypeDetail record);

    ServiceTypeDetail getServiceTypeDetailById(String id);

    ServiceTypeDetail getServiceTypeDetail(ServiceTypeDetail record);

    boolean createServiceTypeDetail(ServiceTypeDetail record);

    boolean deleteServiceTypeDetail(String id);

    boolean updateServiceTypeDetail(ServiceTypeDetail record);
}

